# PSF-LoginServer - master - net.psforever.objects.vital.resolution.DamageResistanceModel
PSF - LoginServer - master - net.psforever.objects.vital.resolution.DamageResistanceModel
Keywords: PSF LoginServer master net.psforever.objects.vital.resolution.DamageResistanceModel

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resolution
  Definition Classes
    vital
- DamageAndResistance
- DamageResistanceCalculations
- DamageResistanceModel
- ResolutionCalculations

t

net.psforever.objects.vital.resolution

# DamageResistanceModel

###

#### trait DamageResistanceModel extends DamageAndResistance

The functionality that is necessary for interaction of a vital game object with the rest of the hostile game world.
A vital object can be hurt or damaged or healed or repaired (HDHR). The actual implementation of how that works is left to the specific object and its interfaces, however. The more involved values that are applied to the vital object are calculated by a series of functions that contribute different values, e.g., the value for being damaged. "Being damaged" is also not the same for all valid targets: some targets don't utilize the same kinds of values in the same way as another, and some targets utilize a different assortment of values than either of the first two examples. The damage model is a common interface for producing those values and reconciling those values with a valid target object without much fuss.
By default, nothing should do anything of substance.

Source
  DamageResistanceModel.scala
See also

  `Vitality`

Linear Supertypes
DamageAndResistance, AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, DeployableDefinition, ExoSuitDefinition, SpecialExoSuitDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, DoorDefinition, GeneratorDefinition, CaptureFlagDefinition, CaptureFlagSocketDefinition, IFFLockDefinition, LockerDefinition, VehicleSpawnPadDefinition, PainboxDefinition, ResourceSiloDefinition, AmenityDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminalDefinition, TerminalDefinition, CaptureTerminalDefinition, ImplantTerminalMechDefinition, SpawnTubeDefinition, FacilityTurretDefinition, TurretDefinition, InternalTelepadDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageResistanceModel
2. DamageAndResistance
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageUsing: Selector
   Definition Classes
     DamageResistanceModel → DamageAndResistance
5.  def DamageUsing_=(selector: Selector): Selector
6.  def Model: Form
   Definition Classes
     DamageResistanceModel → DamageAndResistance
7.  def Model_=(selector: Form): Form
8.  def ResistUsing: ResistanceSelection
   Definition Classes
     DamageResistanceModel → DamageAndResistance
9.  def ResistUsing_=(selector: ResistanceSelection): ResistanceSelection
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def calculate(data: DamageInteraction, resolution: base.DamageType.Value): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    resolution

      an explicit damage resolution overriding the one provided

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
12.  def calculate(data: DamageInteraction): Output

    Magic stuff.

    Magic stuff.

    data

      the historical damage information

    returns

      a function literal that encapsulates delayed modification instructions for certain objects

    Definition Classes
      DamageResistanceModel → DamageAndResistance
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DamageAndResistance

### Inherited from AnyRef

### Inherited from Any

### Ungrouped